@base <https://purl.org/coscine/ap/qudt/quantitykind/Resistivity/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/Resistivity/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Resistivity sind."@de,
    "Profile for all units that are a/an Resistivity."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Resistivity"@de,
    "Unit: Resistivity"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:OHM-M unit:OHM-M2-PER-M ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:OHM-M rdfs:label "Ohm Meter"@en-us, "Ohmmeter"@de, "Ohm Meter"@ms, "Ohm Metr"@cs, "Ohm Metre"@en, "Ohm Metre"@tr, "Ohm Per Metro"@it, "Ohm-Metro"@pt, "Ohm-Metru"@ro, "Ohm-Mètre"@fr, "Ohmio Metro"@es, "Ом-Метр"@ru, "أوم متر"@ar, "اهم متر"@fa, "ओह्म मीटर"@hi, "オームメートル"@ja, "欧姆米"@zh .
unit:OHM-M2-PER-M rdfs:label "Ohm Square Meter Per Meter"@en-us, "Ohm Square Metre Per Metre"@en .
